Question: Does anyone have the scilab 6.0.1 running on Opensuse leap 15.? If so how was it accomplished?

I was a user of scilab on leap 42.3 using, I believe, scilab 5.5. I found it very useful and no problem to install and run.
Since upgrading to leap 15 six months ago, I have been unable to get scilab installed/running. I have tried the package install of scilab 6.0.1 from leap 15 science repos. I have tried compiling and gotten similar install/running problems as listed below.

Upon installing scilab I get messages:


WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.scilab.modules.jvm.LibraryPath (file:/usr/share/scilab/modules/jvm/jar/org.scilab.modules.jvm.jar) to field java.lang.ClassLoader.sys_paths
WARNING: Please consider reporting this to the maintainers of org.scilab.modules.jvm.LibraryPath
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
Could not create a Scilab main class. Error:


There is an old thread on Opensuse Forum discussing this very problem with no solution that I have seen. This thread suggested that problem was a scilab coding problem.
I have also posted this problem onto the bugzilla page of scilab along with some other messages describing the same problem as per the suggestions in the opensuse forum thread.
I have seen no response from scilab people.

Again the question: Does anyone have the scilab 6.0.1 running on Opensuse 15?

Any tips are appreciated.

Tom Kosvic